All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
snd_tplg_widget_template Struct Reference
Topology Interface

Template type for DAPM widget objects. More...

## Data Fields

int | id
const char * | name
const char * | sname
int | reg
int | shift
int | mask
int | subseq
unsigned int | invert
unsigned int | ignore_suspend
unsigned short | event_flags
unsigned short | event_type
struct snd_soc_tplg_private * | priv
int | num_ctls
struct snd_tplg_ctl_template * | ctl [0]

## Detailed Description

Template type for DAPM widget objects.

## Field Documentation

struct snd_tplg_ctl_template* snd_tplg_widget_template::ctl[0]

array of widget controls

unsigned short snd_tplg_widget_template::event_flags

PM event sequence flags

unsigned short snd_tplg_widget_template::event_type

PM event sequence type

int snd_tplg_widget_template::id

SND_SOC_DAPM_CTL

unsigned int snd_tplg_widget_template::ignore_suspend

kept enabled over suspend

unsigned int snd_tplg_widget_template::invert

invert the power bit

int snd_tplg_widget_template::mask

non-shifted mask

const char* snd_tplg_widget_template::name

widget name

int snd_tplg_widget_template::num_ctls

Number of controls used by widget

struct snd_soc_tplg_private* snd_tplg_widget_template::priv

widget private data

int snd_tplg_widget_template::reg

negative reg = no direct dapm

int snd_tplg_widget_template::shift

bits to shift

const char* snd_tplg_widget_template::sname

stream name (certain widgets only)

int snd_tplg_widget_template::subseq

sort within widget type

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.4.1/include/topology.h